Bug 698137 - Viewing large group chart fails with a red box and a JSP exception
Viewing large group chart fails with a red box and a JSP exception
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
: 696989 698673 (view as bug list)
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2011-04-20 05:56 EDT by Heiko W. Rupp
Modified: 2013-09-02 03:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Comment (108.27 KB, text/plain)
2011-04-20 05:56 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2011-04-20 05:56:00 EDT
Created attachment 915216 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 1 Heiko W. Rupp 2011-04-20 05:59:33 EDT
Fallout from 2dce9258d4dde85defbeaf33162896822c369525
Comment 2 John Mazzitelli 2011-04-20 08:37:47 EDT
commit 3fb0fa8

did a search and replace through all *.jsp, *.xml, *.xhtml and *.java files - found several .jsp files that still refer to the package:

   org.rhq.enterprise.server.measurement.uibean

I changed them all to refer to

   org.rhq.core.domain.measurement.ui

All other places have been correctly refactored.
Comment 3 Simeon Pinder 2011-04-21 19:07:29 EDT
commit 7d22f710a

One more change necessary.  Tag class instantiates MetricDisplayConstants via reflection. Reverting this interface back to an instantiable class.

Leaving this in ON_QA state.
Comment 4 Simeon Pinder 2011-04-27 08:42:32 EDT
*** Bug 698673 has been marked as a duplicate of this bug. ***
Comment 5 Simeon Pinder 2011-05-27 17:51:18 EDT
*** Bug 696989 has been marked as a duplicate of this bug. ***
Comment 6 Sunil Kondkar 2011-06-08 05:47:53 EDT
Verified on build116 (Version: 4.1.0-SNAPSHOT Build Number: 6ae3b13)

Create a compatible group, navigated to the summary portlet.
Clicked on a metric and verified that it displays the metric chart. No errors are observed.

Marking as verified.
Comment 7 Heiko W. Rupp 2013-09-02 03:25:47 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.